Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.blip
Class WMF

    java.lang.Object
      org.apache.poi.hslf.usermodel.PictureData
          org.apache.poi.hslf.blip.Metafile
              org.apache.poi.hslf.blip.WMF

    public final class WMF

extends Metafile

Represents a WMF (Windows Metafile) picture data.

Author:
  Yegor Kozlov

Nested Class Summary
`class` | `WMF.AldusHeader` Aldus Placeable Metafile header - 22 byte structure before WMF data.

Nested classes/interfaces inherited from class org.apache.poi.hslf.blip.Metafile
`Metafile.Header`

Constructor Summary
`WMF()`

Method Summary
`byte[]` | `getData()` Extract compressed WMF data from a ppt
`int` | `getSignature()` WMF signature is `0x2160`
`int` | `getType()` We are of type `Picture.WMF`
`void` | `setData(byte[] data)` Set picture data

Methods inherited from class org.apache.poi.hslf.usermodel.PictureData
`create, draw, getChecksum, getHeader, getImagePainter, getOffset, getRawData, getSize, getUID, setImagePainter, setOffset, setRawData, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMF

    public WMF()

Method Detail

### getData

    public byte[] getData()

  Extract compressed WMF data from a ppt

  Specified by:
    `getData` in class `PictureData`
  Returns:
    picture data

### setData

    public void setData(byte[] data)
                 throws java.io.IOException

  Description copied from class: `PictureData`
  Set picture data

  Specified by:
    `setData` in class `PictureData`
  Throws:
    `java.io.IOException`

### getType

    public int getType()

  We are of type `Picture.WMF`

  Specified by:
    `getType` in class `PictureData`
  Returns:
    type of this picture.

### getSignature

    public int getSignature()

  WMF signature is `0x2160`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD